<template lang='pug'>
mixin prop(name)
  li #[strong.text-info= name+': ']
    block

Example(title='ParamFile & InputFile Example' :maxState="1")
  template(v-slot:description)
    h5 This is a File Param example
    p Click on the #[em animate] to toggle edit mode.
    p Drag&amp;Drop should be supported in edit mode.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        +prop("title") the title (ParamFile only)
        +prop("value") the current live value (filename)
        +prop("inEdit") enter/exit edit mode

    div #[strong Data:]
      ul
        +prop("editValue") edit mode currently selected value

    div #[strong Computed:]
      ul
        +prop("editName") edit mode currently selected value

    div #[strong Signals:]
      ul
        +prop("edit") emitted whenever editValue is changed (with editValue new content)
        +prop("edit-request") emitted whenever the icon on the right is clicked while not in edit mode

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center.b-param-container
        BaseInputFile.col-12.col-sm-6(value='sample.txt' :inEdit='state !== 0'
                                      @edit-request='state = state ? 0 : 1')
        BaseParamFile.col-12.col-sm-6(value='sample.txt' :inEdit='state !== 0'
                                      @edit-request='state = state ? 0 : 1')
          template(v-slot:title='p')
            | \#[strong Input] (edit:{{ p.editName }})
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleParamFile",
  components: { Example }
};

</script>
